EDIT - bug #3046

Sort order for taxa with status not being nom.inval. is incorrect
08/10/2012 02:15 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: cdmlib RELEASE 3.1.3

Severity: major Found in Version:

Description

The current TaxonComparator moves all taxa that do have ANY nom.status. to the end of a list as long as the other taxa do not have
a status at all. Only if both taxa do have a status the comparison takes into account if the status is of type nom.inval. or nom.nudum.
or of any other type.

According to N.Killian only nom.inval.(incl. nom.nudum) should be handled out of date order.

see also #3043, #3044, #3045, #3338, #5794

Related issues:
Related to EDIT - feature request #9272: Add missing nomenclatural status Closed

Associated revisions

Revision 48fb1331 - 08/10/2012 02:17 PM - Andreas Miiller

fix #3046, order for taxa with 1 taxon having a nom.status.

Revision 23¢223d0 - 08/10/2012 06:03 PM - Andreas Miiller

fix #3046, order for taxa with 1 taxon having a nom.status.

History

#1 - 08/10/2012 02:17 PM - Andreas Miuller

- Status changed from New to Resolved

r15878

#2 - 08/10/2012 06:04 PM - Andreas Miuller
r15880

#3 - 08/28/2012 05:13 PM - Andreas Kohlbecker

Hallo Andreas,

Ich habe mir doch noch mal die Auswahlliste der Statustypen angesehen:

Neben nom.inval.(incl. nom.nudum) gibt es doch noch andere Statustypen, die keine validen Namen darstellen, das sind:
"Combination invalid" (ist eigentlich = invalid.)

"comb. ined."

ich nehme aber mal an, dass diese beiden Bezeichnungen eigentlich nur in homotypischen Blécken zusammen mit validen Namen auftauchen, und
nicht alleinstehend, von daher sollten sie bei der Sortierung keine Probleme machen.

provisional ein solcher Name kénnte auch alleine stehen, ist aber invalide und deshalb zu behandeln wie invalide (ein solcher Name mdisste

vorangestellten "-" statt "=" haben.

"subnudum" verweist auf ein ungeldstes Statusproblem (hier muss im echten Zweifelsfall durch die Nomenklaturgremien eine Entscheidung tber
nudum = invalid oder valid gefallt werden), so lange kann er als valide gefuhrt werden.

Schoéne GriiB3e,
https://dev.e-taxonomy.eu/redmine/issues/5794

Norbert
#4 - 08/28/2012 05:13 PM - Andreas Kohlbecker
Hallo Norbert,

Zusammengefasst heisst das, comb. Inval. und provisional sollen bei der Sortierung auch hinten angestellt werden und einen einfachen "-"
bekommen bei der Anzeige, oder?

Subnudum bleibt wie es ist.
@Andreas K.: Kannst du dich darum kimmern, dass das mit dem "-" im Portal richtig geh&ndelt wird?
Viele Griuf3e,
Andreas
#5 - 08/28/2012 05:13 PM - Andreas Kohlbecker
Hallo Andreas,
ja, hinten heif3t dabei je nach Fall hinten in einem homotypischen Block oder hinten in der Synonymie.
Schéne GriBe aus Kunming,
Norbert
#6 - 08/28/2012 05:24 PM - Andreas Kohlbecker
Replying to a.kohlbecker:
Hallo Norbert,

Zusammengefasst heisst das, comb. Inval. und provisional sollen bei der Sortierung auch hinten angestellt werden und einen einfachen "-"
bekommen bei der Anzeige, oder?

Subnudum bleibt wie es ist.

@Andreas K.: Kannst du dich darum kiimmern, dass das mit dem "-" im Portal richtig geh&ndelt wird?
Viele Gruf3e,

Andreas

Gerne, hier is schon mal das ticket dafur #3062. Bearbeiten werde ich das vermutlich erst wenn die Migration zu Drupal 7 abgeschlossen ist. Das
sollte nicht mehr allzulange dauern, denn die Entwickler von ETI sind schon ziemlich weit gekommen.

#7 - 02/04/2013 01:59 PM - Andreas Kohlbecker
- Target version changed from cdmlib RELEASE 3.1.4 to cdmlib RELEASE 3.1.3

moved back to last release Milestone (according to http://dev.e-taxonomy.eu/trac/wiki’‘CdmReleasePolicy#Howtodealwithticketsunderreview)

please finish review until 25.2.2013

#8 - 05/11/2016 09:49 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Resolution set to fixed

- % Done set to 100

Open issues for other invalid status (provisional, comb. inval., comb. ined. and opp. utique oppr.) split to ticket #5794

#9 - 11/20/2020 12:37 PM - Andreas Miiller
- Description updated

- Private changed from Yes to No

#10 - 11/24/2020 10:21 AM - Andreas Miiller
- Related to feature request #9279: Improve type designation formatting and TypeDesignationSetManager added
#11 - 11/24/2020 10:28 AM - Andreas Miiller

- Related to deleted (feature request #9279: Improve type designation formatting and TypeDesignationSetManager)

#12 - 11/30/2020 10:51 AM - Andreas Miiller

- Related to feature request #9272: Add missing nomenclatural status added
